package com.fizz.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fizz.business.domain.ModSetupResult;
import com.fizz.business.form.CalcPdiPlanForm;
import com.fizz.business.form.CrmPdiPlanForm;
import com.fizz.business.form.ModSetupResultForm;
import com.fizz.business.vo.ModSetupResultVO;

import java.util.List;

public interface ModSetupResultService extends IService<ModSetupResult> {
    List<ModSetupResultVO> list(ModSetupResultForm form);

    String calcSetup(CalcPdiPlanForm form);

    String retrySetup(String coilid);

    List<ModSetupResultVO> getSetupByCoilid(String coilid);
    // 可在此处添加自定义业务方法
}
